org.eclipse.rdf4j.model.vocabulary

## Class DCAT

- java.lang.Object
- - org.eclipse.rdf4j.model.vocabulary.DCAT

-     public class DCAT
      extends Object

  Constants for the W3C Data Catalog Vocabulary.
  Author:
    Bart Hanssens
  See Also:
    Data Catalog Vocabulary, Data Catalog Vocabulary version 2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static IRI` | `ACCESS_SERVICE` dcat:accessService
    `static IRI` | `ACCESS_URL` dcat:accessURL
    `static IRI` | `BBOX` dcat:bbox
    `static IRI` | `BYTE_SIZE` dcat:byteSize
    `static IRI` | `CATALOG` dcat:Catalog
    `static IRI` | `CATALOG_RECORD` dcat:CatalogRecord
    `static IRI` | `CENTROID` dcat:centroid
    `static IRI` | `COMPRESS_FORMAT` dcat:compressFormat
    `static IRI` | `CONTACT_POINT` dcat:contactPoint
    `static IRI` | `DATA_SERVICE` dcat:DataService
    `static IRI` | `DATASET` dcat:Dataset
    `static IRI` | `DISTRIBUTION` dcat:Distribution
    `static IRI` | `DOWNLOAD_URL` dcat:downloadURL
    `static IRI` | `END_DATE` dcat:endDate
    `static IRI` | `ENDPOINT_DESCRIPTION` dcat:endpointDescription
    `static IRI` | `ENDPOINT_URL` dcat:endpointURL
    `static IRI` | `HAD_ROLE` dcat:hadRole
    `static IRI` | `HAS_CATALOG` dcat:catalog
    `static IRI` | `HAS_DATASET` dcat:dataset
    `static IRI` | `HAS_DISTRIBUTION` dcat:distribution
    `static IRI` | `HAS_RECORD` dcat:record
    `static IRI` | `HAS_SERVICE` dcat:service
    `static IRI` | `KEYWORD` dcat:keyword
    `static IRI` | `LANDING_PAGE` dcat:landingPage
    `static IRI` | `MEDIA_TYPE` dcat:mediaType
    `static String` | `NAMESPACE` The DCAT namespace: http://www.w3.org/ns/dcat#
    `static Namespace` | `NS` An immutable `Namespace` constant that represents the Data Catalog Vocabulary namespace.
    `static IRI` | `PACKAGE_FORMAT` dcat:packageFormat
    `static String` | `PREFIX` Recommended prefix for the Data Catalog Vocabulary namespace: "dcat"
    `static IRI` | `QUALIFIED_RELATION` dcat:qualifiedRelation
    `static IRI` | `RELATIONSHIP` dcat:Relationship
    `static IRI` | `RESOURCE` dcat:Resource
    `static IRI` | `ROLE` dcat:Role
    `static IRI` | `SERVES_DATASET` dcat:servesDataset
    `static IRI` | `SPATIAL_RESOLUTION_IN_METERS` dcat:spatialResolutionInMeters
    `static IRI` | `START_DATE` dcat:startDate
    `static IRI` | `TEMPORAL_RESOLUTION` dcat:temporalResolution
    `static IRI` | `THEME` dcat:theme
    `static IRI` | `THEME_TAXONOMY` dcat:themeTaxonomy

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DCAT()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PREFIX

          public static final String PREFIX

      Recommended prefix for the Data Catalog Vocabulary namespace: "dcat"
      See Also:
        Constant Field Values

    - #### NAMESPACE

          public static final String NAMESPACE

      The DCAT namespace: http://www.w3.org/ns/dcat#
      See Also:
        Constant Field Values

    - #### NS

          public static final Namespace NS

      An immutable `Namespace` constant that represents the Data Catalog Vocabulary namespace.

    - #### CATALOG

          public static final IRI CATALOG

      dcat:Catalog

    - #### CATALOG_RECORD

          public static final IRI CATALOG_RECORD

      dcat:CatalogRecord

    - #### DATA_SERVICE

          public static final IRI DATA_SERVICE

      dcat:DataService

    - #### DATASET

          public static final IRI DATASET

      dcat:Dataset

    - #### DISTRIBUTION

          public static final IRI DISTRIBUTION

      dcat:Distribution

    - #### RELATIONSHIP

          public static final IRI RELATIONSHIP

      dcat:Relationship

    - #### RESOURCE

          public static final IRI RESOURCE

      dcat:Resource

    - #### ROLE

          public static final IRI ROLE

      dcat:Role

    - #### ACCESS_SERVICE

          public static final IRI ACCESS_SERVICE

      dcat:accessService

    - #### ACCESS_URL

          public static final IRI ACCESS_URL

      dcat:accessURL

    - #### BBOX

          public static final IRI BBOX

      dcat:bbox

    - #### BYTE_SIZE

          public static final IRI BYTE_SIZE

      dcat:byteSize

    - #### CENTROID

          public static final IRI CENTROID

      dcat:centroid

    - #### COMPRESS_FORMAT

          public static final IRI COMPRESS_FORMAT

      dcat:compressFormat

    - #### CONTACT_POINT

          public static final IRI CONTACT_POINT

      dcat:contactPoint

    - #### DOWNLOAD_URL

          public static final IRI DOWNLOAD_URL

      dcat:downloadURL

    - #### END_DATE

          public static final IRI END_DATE

      dcat:endDate

    - #### ENDPOINT_DESCRIPTION

          public static final IRI ENDPOINT_DESCRIPTION

      dcat:endpointDescription

    - #### ENDPOINT_URL

          public static final IRI ENDPOINT_URL

      dcat:endpointURL

    - #### HAD_ROLE

          public static final IRI HAD_ROLE

      dcat:hadRole

    - #### HAS_CATALOG

          public static final IRI HAS_CATALOG

      dcat:catalog

    - #### HAS_DATASET

          public static final IRI HAS_DATASET

      dcat:dataset

    - #### HAS_DISTRIBUTION

          public static final IRI HAS_DISTRIBUTION

      dcat:distribution

    - #### HAS_RECORD

          public static final IRI HAS_RECORD

      dcat:record

    - #### HAS_SERVICE

          public static final IRI HAS_SERVICE

      dcat:service

    - #### KEYWORD

          public static final IRI KEYWORD

      dcat:keyword

    - #### LANDING_PAGE

          public static final IRI LANDING_PAGE

      dcat:landingPage

    - #### MEDIA_TYPE

          public static final IRI MEDIA_TYPE

      dcat:mediaType

    - #### PACKAGE_FORMAT

          public static final IRI PACKAGE_FORMAT

      dcat:packageFormat

    - #### QUALIFIED_RELATION

          public static final IRI QUALIFIED_RELATION

      dcat:qualifiedRelation

    - #### SERVES_DATASET

          public static final IRI SERVES_DATASET

      dcat:servesDataset

    - #### SPATIAL_RESOLUTION_IN_METERS

          public static final IRI SPATIAL_RESOLUTION_IN_METERS

      dcat:spatialResolutionInMeters

    - #### START_DATE

          public static final IRI START_DATE

      dcat:startDate

    - #### TEMPORAL_RESOLUTION

          public static final IRI TEMPORAL_RESOLUTION

      dcat:temporalResolution

    - #### THEME

          public static final IRI THEME

      dcat:theme

    - #### THEME_TAXONOMY

          public static final IRI THEME_TAXONOMY

      dcat:themeTaxonomy

  - ### Constructor Detail

    - #### DCAT

          public DCAT()

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.